Tests

List tests in the current space. Optional filter by test type.

GET
/Tests
AuthorizationBearer <token>

JWT Authorization header using Bearer scheme

In: header

Query Parameters

type?string
Value in"Simulation"

Response Body

application/json

curl -X GET "https://api.speaknode.com/api/Tests"
{
  "tests": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "description": "string",
      "type": "Simulation",
      "max_conversation_turns": 0,
      "mock_all_tools": true,
      "simulated_user_model_version_id": "c50a5fdf-3875-41c9-8ee3-86bfef0f145c",
      "simulated_user_model_version": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "version": "string",
        "name": "string",
        "description": "string",
        "is_active": true,
        "is_recommended": true,
        "model": {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "code": "string",
          "name": "string",
          "allow_temperature": true,
          "allow_speed": true,
          "model_type_code": "string"
        },
        "author": {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "code": "string",
          "name": "string"
        },
        "gateway": {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "code": "string",
          "name": "string"
        }
      },
      "conversation_evaluation_model_version_id": "855f6452-882d-4084-a371-2b8aaa1b49b3",
      "conversation_evaluation_model_version": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "version": "string",
        "name": "string",
        "description": "string",
        "is_active": true,
        "is_recommended": true,
        "model": {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "code": "string",
          "name": "string",
          "allow_temperature": true,
          "allow_speed": true,
          "model_type_code": "string"
        },
        "author": {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "code": "string",
          "name": "string"
        },
        "gateway": {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "code": "string",
          "name": "string"
        }
      },
      "space_id": "22cc9270-58a2-4d80-a821-13400b6090e1",
      "created_by_id": "9377d689-01fb-4abf-8450-3368d2c1924f",
      "created_by_email": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ]
}